# Gimp.Metadata.set_from_iptc

    @accepts(Gimp.Metadata, [guint8], int)
    @returns(bool)
    def set_from_iptc(self, iptc_data, iptc_data_length):
        # Python wrapper for gimp_metadata_set_from_iptc()

Sets the tags from a piece of IPTC data on self.

Since 2.10

self

  A Gimp.Metadata instance.

iptc_data

  The blob of Iptc data to set

iptc_data_length

  Length of iptc_data, in bytes

Returns